:root {
  --main-bg-color: white;
  --main-bg-color-inactive: darkgray;
  --hover-bg-color: darkgray;
  --hover-color: white;
  --active-bg-color: white;
  --active-color: black;
  --disabled: #333;
  --txt-color: #0c1d6b;
  --txt-color-dark: black;
  --txt-color-light: white;
  --error-msgbox-color: rgb(255, 224, 224);
  --message-msgbox-bgcolor: white;
  --message-msgbox-close: #0c1d6b;
  --message-msgbox-color: #0c1d6b;
  --button-color: #0c1d6b;
  --border-color: rgb(57, 135, 88);
  --font-size-tiny: 0.5em;
  --font-size-small: 0.75em;
  --font-size-normal: 1em;
  --font-size-medium: 1.5em;
  --font-size-large: 2em;
  --font-size-xlarge: 4em;
  --font-size-massive: 8em;
  --edit-bg-color: rgb(0, 200, 248);
  --edit-txt-color: black;
  --color-bleed: #ff4248;
  --color-infection: #1eff3c;
  --color-nausea: #ffa82c;
  --color-leak: #555d50;
  --color-report-all: lightgray;
  --color-upload-days-good: #1eff3c;
  --color-upload-days-warn: #ffa82c;
  --color-upload-days-bad: #ff4248;
  --color-upload-days-never: black;
}

html {
  height: 100%;
}

body {
  height: 100%;
  margin: 0;
  padding: 0;
  font: var(--font-size-normal) Roboto, sans-serif;
  color: var(--txt-color);
  background-color: var(--main-bg-color);
  background-size: 100% 100%;
}

button {
  width: auto;
  height: auto;
  min-width: 160px;
  background-color: var(--button-color);
  border-radius: 8px;
  color: var(--txt-color-light);
  font-size: var(--font-size-normal);
  padding: 4px;
}

span {
  padding: 0.5%;
}

button span {
  color: var(--txt-color-light);
  font-size: var(--font-size-normal);
}

button:hover {
  animation: buttonborder 1s infinite ease-in-out;
  animation-direction: alternate;
}

button:active {
  animation: buttonpress 0.25s;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
}

button:disabled {
  color: var(--txt-color-light);
  background-color: var(--disabled);
}

fieldset {
  height: auto;
  width: 97%;
}

footer {
  position: fixed;
  text-align: center;
  width: 99%;
  height: var(--font-size-normal);
  bottom: 0;
  background-color: var(--main-bg-color);
  color: var(--txt-color);
}

input,
input[type="text"],
input[type="number"],
input[type="search"],
input[type="email"],
input[type="tel"],
input[type="url"],
input[type="date"],
input[type="datetime-local"] {
  font-size: var(--font-size-normal);
}

input[type="checkbox"] {
  transform: scale(1.5, 1.5) translateY(-2px);
}

#bleed:checked + .slider {
  background-color: var(--color-bleed);
}

#bleed:focus + .slider {
  box-shadow: 0 0 1px var(--color-bleed);
}

#infection:checked + .slider {
  background-color: var(--color-infection);
}

#infection:focus + .slider {
  box-shadow: 0 0 1px var(--color-infection);
}

#nausea:checked + .slider {
  background-color: var(--color-nausea);
}

#nausea:focus + .slider {
  box-shadow: 0 0 1px var(--color-nausea);
}

#leak:checked + .slider {
  background-color: var(--color-leak);
}

#leak:focus + .slider {
  box-shadow: 0 0 1px var(--color-leak);
}

input:checked + .slider::before {
  transform: translateX(32px);
}

label {
  padding: 0;
}

legend {
  width: 288px;
  cursor: ns-resize;
  font-size: var(--font-size-medium);
  color: var(--txt-color-dark);
}

legend span {
  font-size: var(--font-size-medium);
}

pre {
  white-space: pre-wrap;
}

select {
  font-size: var(--font-size-normal);
  min-width: 400px;
}

.tablewrap {
  height: 850px;
  overflow: auto;
}

table {
  border: 1px solid var(--border-color);
  background-color: var(--main-bg-color);
  text-align: left;
  border-collapse: collapse;
  font-size: var(--font-size-medium);
  max-width: 98%;
}

table td {
  border: 1px solid var(--border-color);
  padding: 4px 8px;
  white-space: pre;
}

table tbody td {
  font-size: var(--font-size-normal);
  white-space: pre;
}

table tr:nth-child(even) {
  color: var(--txt-color);
  background: var(--main-bg-color);
}

table thead {
  background: var(--main-bg-color);
  color: var(--txt-color);
  border-bottom: 2px solid var(--border-color);
}

table thead th {
  font-size: var(--font-size-normal);
  font-weight: bold;
  color: var(--txt-color);
  border-left: 2px solid var(--border-color);
  cursor: ns-resize;
  padding: 4px 8px;
}

table thead th:first-child {
  border-left: none;
}

table tfoot {
  font-size: var(--font-size-normal);
  font-weight: bold;
  color: var(--txt-color);
  background: var(--main-bg-color);
  border-top: 2px solid var(--border-color);
}

table tfoot td {
  font-size: var(--font-size-normal);
}

table tfoot .links {
  text-align: right;
}

table tfoot .links a {
  display: inline-block;
  background: var(--main-bg-color);
  color: var(--txt-color);
  padding: 3px 12px;
  border-radius: 5px;
}

textarea {
  font-size: var(--font-size-normal);
}

.arrow {
  margin-left: 8px;
  color: var(--txt-color);
}

.center {
  text-align: center;
}

.controlbuttons {
  margin-top: 8px;
}

.customdiv {
  height: 95%;
  overflow-y: auto;
}

.custom_code_element {
  width: 20%;
  text-align: center;
  padding: 4px;
}

.custom_code_element input[type="number"] {
  font-size: var(--font-size-medium);
}

.custom_code_element_buttons {
  width: 38%;
  text-align: center;
  padding: 4px;
}

.customfieldbutton {
  margin-right: 2%;
  min-width: 242px;
}

.customfielddiv {
  padding: 0.5% 0;
  page-break-inside: avoid;
  width: 530px;
}

.customfieldspan {
  display: inline-block;
  margin-right: 2%;
  min-width: 242px;
  padding: 0.5% 0;
}

.dataline {
  display: flex;
  align-items: center;
  border-bottom: 1px solid var(--border-color);
  padding: 4px 0;
  background-color: var(--main-bg-color);
  font-size: var(--font-size-normal);
  width: 99%;
}

.dataline:hover {
  background-color: var(--hover-bg-color);
  color: var(--hover-color);
  cursor: pointer;
}

.dataline button {
  margin-right: 4px;
}

.dcbutton {
  min-width: 320px;
}

.controlbuttons button {
  margin-right: 4px;
}

.dataline button:last-child {
  margin-right: 0;
}

.controlbuttons button:last-child {
  margin-right: 0;
}

.error-box {
  background: var(--error-msgbox-color);
  color: var(--txt-color-dark);
  font-size: var(--font-size-normal);
}

.excludereports {
  background: var(--error-msgbox-color);
}

.flexdiv {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.vcenter {
  justify-content: normal;
}

.flexdiv-natural {
  display: flex;
}

.flexdiv-natural-center {
  display: flex;
  justify-content: center;
}

.hdrbutton {
  width: 25%;
}

.inactive {
  background-color: var(--main-bg-color-inactive);
}

.inputblock {
  display: inline-block;
  margin: .5vw 1vh;
}

.inputblock label {
  display: inline-block;
  text-align: right;
  margin-right: 8px;
  min-width: 240px;
}

.labelleft {
  padding-right: 4px;
}

.labelright {
  padding-left: 4px;
}

.small-legend {
  width: 144px;
  cursor: pointer;
  font-size: var(--font-size-small);
  color: var(--txt-color-dark);
}

.list {
  padding-top: 8px;
}

.lvlabelwidth {
  display: inline-block;
  width: 160px;
  text-align: right;
  margin-right: 8px;
}

.message-box {
  color: var(--message-msgbox-color);
  background: var(--message-msgbox-bgcolor);
}

.message-close {
  text-align: right;
  cursor: default;
  color: var(--message-msgbox-close);
}

.middlebox {
  width: 520px;
  height: 360px;
  padding-top: 40px;
  color: var(--txt-color);
  background-color: var(--main-bg-color);
  font-size: var(--font-size-large);
  animation: fade 1s;
  animation-timing-function: ease-in;
}

.middlebox-fat {
  width: 520px;
  height: 520px;
  padding-top: 40px;
  color: var(--txt-color);
  background-color: var(--main-bg-color);
  font-size: var(--font-size-large);
  animation: fade 1s;
  animation-timing-function: ease-in;
}

.middlebox input {
  font-size: var(--font-size-large);
  width: 240px;
}

.nomin {
  cursor: default;
}

.notifylabel {
  font-size: var(--font-size-small);
  font-weight: bold;
  background-color: var(--txt-color-dark);
  color: var(--txt-color-light);
  border-radius: 16px;
  padding: 8px 16px;
  margin-left: 16px;
}

.permdiv {
  padding: 4px 0;
  display: inline-block;
  margin-right: 8px;
}

.permlabel {
  display: inline-block;
  width: 320px;
  margin-left: 8px;
}

.qali {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.qali:hover {
  color: var(--txt-color-light);
  background-color: var(--txt-color);
  cursor: pointer;
}

.qali:active {
  color: var(--txt-color);
  background-color: var(--txt-color-light);
}

.qatablabel {
  background-color: var(--main-bg-color-inactive);
  color: var(--txt-color-light);
}

.reportmetrics {
  font-size: var(--font-size-tiny);
}

.scrollablex {
  overflow-x: auto;
}

.scrollabley {
  overflow-y: auto;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
}

.slider::before {
  position: absolute;
  content: "";
  height: 24px;
  width: 24px;
  left: 8px;
  bottom: 4px;
  background-color: white;
  transition: 0.4s;
}

.slider.round {
  border-radius: 8px;
}

.slider.round::before {
  border-radius: 50%;
}

.smalllabel {
  display: inline-block;
  width: 80px;
  margin-left: 8px;
}

.switch {
  position: relative;
  display: inline-block;
  width: 72px;
  height: 32px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.widespan {
  padding-right: 16px;
}

#addeditlegend {
  font-size: var(--font-size-large);
  font-weight: bold;
}

#content {
  width: 70vw;
  height: 80vh;
  overflow-y: auto;
}

#conversion {
}

#corrections {
  height: 80vh;
  width: 100%;
  overflow-y: auto;
}

#customfieldlist {
  width: 100%;
  height: 216px;
  column-count: 2;
  overflow-y: auto;
}

#customcodelist {
  columns: 600px 3;
}

#custom_code_entry {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--border-color);
}

.dashbox {
  border-radius: 8px;
  width: 12em;
  height: 12em;
  margin: 1em;
  color: var(--txt-color);
  background-color: var(--main-bg-color);
}

.dashbox div {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  width: 12em;
  height: 6em;
  font-size: var(--font-size-large);
}

.dashbox i {
  font-size: var(--font-size-xlarge);
}

.dashbox:hover {
  cursor: pointer;
  background-color: var(--hover-bg-color);
  color: var(--hover-color);
}

.dashbox:active {
  color: var(--active-color);
  background-color: var(--active-bg-color);
}

#dialog-buttons {
  text-align: center;
  background-color: var(--main-bg-color);
  color: var(--txt-color);
  font-size: var(--font-size-medium);
}

#dialog-description {
  background-color: var(--main-bg-color);
  color: var(--txt-color);
  font-size: var(--font-size-normal);
  text-align: center;
}

#dialog-title {
  padding-left: 4px;
  background-color: var(--main-bg-color);
  color: var(--txt-color);
  font-size: var(--font-size-medium);
}

#div-inner-alert {
  width: 80px;
  font-size: var(--font-size-large);
  padding: 4px 0;
  text-align: center;
}

#div-inner-flexdiv {
  height: 320px;
}

#div-inner-flexdiv-progress {
  height: 360px;
}

#div-inner-message {
  width: 720px;
  height: 320px;
  padding: 4px 0;
  overflow-y: auto;
  overflow-x: auto;
}

#doc {
  height: 640px;
  overflow-y: auto;
}

#footergrid {
  grid-area: footer;
  text-align: center;
  font-size: var(--font-size-normal);
}

#globalinput {
  width: 640px;
}

#header {
  position: fixed;
  top: 0;
  width: 100%;
  text-align: center;
  height: 44px;
}

#header img {
  height: 20px;
  width: 40px;
  transform: translateY(4px);
}

#headermargin {
  margin-top: 48px;
}

#loginconfirmlegend {
  width: 240px;
}

#loginfieldset {
  text-align: center;
}

#loginbutton {
  font-size: var(--font-size-large);
}

#middleareagrid {
  grid-area: middle;
}

#pokemessagesubs {
  width: 100%;
  height: 64px;
  column-count: 6;
  overflow-y: auto;
}

#pokes {
  width: 100%;
}

#processmessage {
  white-space: pre-wrap;
  height: 200px;
  overflow-y: auto;
  overflow-x: auto;
  font-size: var(--font-size-large);
}

#processprogress {
  width: 95%;
  height: 12px;
}

#threetiergrid {
  display: grid;
  min-height: 100%;
  width: 100%;
  grid-template-rows: auto 1fr auto;
  grid-template-columns: 1fr 50% 1fr;
  grid-template-areas: ". header ." ". middle ." ". footer .";
  align-items: center;
  justify-content: center;
}

#threebythreegrid {
  display: grid;
  height: 96%;
  width: 99%;
  grid-template-rows: auto 1fr auto;
  grid-template-columns: auto 3fr auto;
  grid-template-areas: "header header header" "middle middle middle" ". footer .";
}

#topareagrid {
  grid-area: header;
  text-align: center;
  justify-content: center;
}

#headergrid {
  display: grid;
  width: 100%;
  grid-template-rows: auto;
  grid-template-columns: auto 3fr auto;
  grid-template-areas: "hg hg hg";
  align-items: center;
  text-align: center;
  justify-content: center;
}

#logo {
  display: flex;
  align-items: center;
}

#logobox {
  display: flex;
  align-items: center;
  width: 25%;
}

#mdl {
  z-index: 999;
  position: fixed;
  top: 100px;
  left: 200px;
  width: 1200px;
  height: 600px;
  border: 1px solid var(--border-color);
}

#modalwindow {
  display: none;
}

#modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #888;
  opacity: 0.3;
  z-index: 998;
}

#msgmodal {
  display: none;
}

#msg-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #888;
  opacity: 0.3;
  z-index: 1000;
}

#msg {
  z-index: 1001;
  position: fixed;
  top: 25%;
  left: 25%;
  width: 800px;
  height: 400px;
  border: 1px solid var(--border-color);
}

#msg-progress {
  z-index: 1001;
  position: fixed;
  top: 200px;
  left: 400px;
  width: 800px;
  height: 400px;
  border: 1px solid var(--border-color);
}

#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 1;
  z-index: 2000;
}

#overlay-logo {
  z-index: 2001;
  position: fixed;
  top: 47.5%;
  left: 45%;
  width: 5%;
  height: 10%;
  animation: rotate1 3s infinite;
  animation-timing-function: ease-in-out;
}

#reports {
}

#headerline {
  grid-area: header;
  text-align: center;
  animation: fade 1.5s;
  animation-timing-function: ease-in;
}

#headerdiv {
  display: flex;
  width: 100%;
  height: 64px;
  align-items: center;
  justify-content: center;
}

#headerlogo {
  width: 100%;
  animation: fade 1.5s;
  animation-timing-function: ease-in;
}

#headerlogo img {
  height: 64px;
}

#headerlogo span {
  font-family: "Space Mono", sans-serif;
  font-size: var(--font-size-xlarge);
}

#sites {
}

#siteidlist {
}

#tasks {
  overflow-y: auto;
  height: 320px;
}

#totop {
  position:fixed;
  bottom: 0;
  right: 0;
  min-width: 32px;
  width: 32px;
}

#users {
}

#validation {
}

@keyframes buttonborder {
  from {
    border-color: var(--border-color);
    box-shadow: 8px 8px 6px -3px rgba(0, 0, 0, 0.49);
  }

  to {
    border-color: gray;
    box-shadow: 6px 6px 5px -1px rgba(0, 0, 0, 0.49);
  }
}

@keyframes buttonpress {
  0% {
    transform: perspective(400px) scaleZ(1) translateZ(0);
  }

  100% {
    transform: perspective(400px) scaleZ(1.025) translateZ(-25px);
  }
}

@keyframes datalinehover {
  from {
    background-color: var(--main-bg-color);
  }

  to {
    background-color: var(--hover-bg-color);
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes rotate {
  0% {
    transform: scaleX(1);
  }

  100% {
    transform: scaleX(0.01);
  }
}

@keyframes rotate1 {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(-360deg);
  }
}

@media screen and (min-width: 320px) and (max-width: 480px) {
  fieldset {
    height: auto;
    width: 100%;
  }

  #footergrid span {
    font-size: var(--font-size-tiny);
  }

  #hdr {
    display: none;
  }

  #threebythreegrid {
    display: grid;
    height: 98%;
    width: 90%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto .5fr auto;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 100% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}

@media screen and (min-width: 481px) and (max-width: 768px) {
  #hdr {
    display: none;
  }

  #threebythreegrid {
    display: grid;
    height: 96%;
    width: 99%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto 3fr auto;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 90% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}

@media screen and (min-width: 769px) and (max-width: 1024px) {
  #threebythreegrid {
    display: grid;
    height: 96%;
    width: 99%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto 3fr auto;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 80% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}

@media screen and (min-width: 1025px) and (max-width: 1200px) {
  #threebythreegrid {
    display: grid;
    height: 96%;
    width: 99%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto 3fr auto;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 70% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}

@media screen and (min-width: 1201px) and (max-width: 1400px) {
  #threebythreegrid {
    display: grid;
    height: 96%;
    width: 99%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto 3fr auto;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 60% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}

@media screen and (min-width: 1401px) {
  #threebythreegrid {
    display: grid;
    height: 96%;
    width: 99%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 3fr 1fr;
    grid-template-areas: "header header header" "middle middle middle" ". footer .";
  }

  #threetiergrid {
    display: grid;
    min-height: 100%;
    width: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr 50% 1fr;
    grid-template-areas: ". header ." ". middle ." ". footer .";
    align-items: center;
    justify-content: center;
  }
}
